package com.sunxung.factoring.entity.project;

import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.sunxung.factoring.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;

/**
 * <p>
 * 项目业主方审核- 综合评估
 * </p>
 *
 * @author liutao
 * @since 2023-12-15
 */
@TableName("project_owner_comprehensive_evaluation")
public class ProjectOwnerComprehensiveEvaluation {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 项目业主方审核id
     */
    @TableField("project_audit_id")
    private Long projectAuditId;

    /**
     * 是否准入
     */
    @TableField("admitted")
    private String admitted;

    /**
     * 项目得分
     */
    @TableField("project_score")
    private BigDecimal projectScore;

    /**
     * 授信额度（万元）
     */
    @TableField("credit_limit")
    private BigDecimal creditLimit;

    @TableField(exist = false)
    private List<String> errors;

    public List<String> getErrors() {
        return errors;
    }

    public void setErrors(List<String> errors) {
        this.errors = errors;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProjectAuditId() {
        return projectAuditId;
    }

    public void setProjectAuditId(Long projectAuditId) {
        this.projectAuditId = projectAuditId;
    }
    public String getAdmitted() {
        return admitted;
    }

    public void setAdmitted(String admitted) {
        this.admitted = admitted;
    }

    public BigDecimal getProjectScore() {
        return projectScore;
    }

    public void setProjectScore(BigDecimal projectScore) {
        this.projectScore = projectScore;
    }

    public BigDecimal getCreditLimit() {
        return creditLimit;
    }

    public void setCreditLimit(BigDecimal creditLimit) {
        this.creditLimit = creditLimit;
    }

    @Override
    public String toString() {
        return "ProjectOwnerComprehensiveEvaluation{" +
            "projectAuditId=" + projectAuditId +
            ", admitted=" + admitted +
            ", projectScore=" + projectScore +
            ", creditLimit=" + creditLimit +
        "}";
    }
}
